VGA_enable_SCREEN_OFF_bit:
 push wideax
 push widedx
 pushf

  mov dx,0x3C4       ;SEQUENCER INDEX REGISTER
  mov al,01h         ;Clocking Mode Register (INDEX 01h)
  out dx,al          ;Specify it!

  mov dx,0x3C5       ;SEQUENCER DATA REGISTER
  in al,dx           ;Read it for the Clocking Mode Register
  or al,00100000b    ;Enable the SCREEN OFF bit (it disables the monitor display)
  out dx,al          ;Send it!

 popf
 pop widedx
 pop wideax
retwide



VGA_disable_SCREEN_OFF_bit:
 push wideax
 push widedx
 pushfwide

  mov dx,0x3C4       ;SEQUENCER INDEX REGISTER
  mov al,01h         ;Clocking Mode Register (INDEX 01h)
  out dx,al          ;Specify it!

  mov dx,0x3C5       ;SEQUENCER DATA REGISTER
  in al,dx           ;Read it for the Clocking Mode Register
  and al,11011111b   ;Disable the SCREEN OFF bit (it enables the monitor display)
  out dx,al          ;Send it!

 popfwide
 pop widedx
 pop wideax
retwide







;EOF