;Inputs:
;
;ESI == Structure to point to
;ECX == Number of registers
;
;
;Outputs:
;
;ESI == Pointer to registers structure advanced to the next byte
;;
VGA_write_indexed_registers_WORD:
push wideax
push widecx
pushfwide

  xor eax,eax     ;Write all registers
  .l1:
   mov ah,[esi]   ;Take the byte value

   ;outsw
   inc esi        ;Go to the next byte for next iteration
   out dx,ax      ;Send that index/value pair

   inc al         ;Increment the index
  loop .l1        ;Do this for all of the registers

popfwide
pop widecx
pop wideax
retwide











;ESI == Buffer to point to
;ECX == Number of registers
;;
VGA_write_indexed_registers_BYTE:
push wideax
push widecx
pushfwide


  xor eax,eax     ;Write all registers
  .l1:
   mov ah,[widesi]   ;Take the byte value

   ;oustsb
   inc widesi        ;Go to the next byte for next iteration
   out dx,al      ;Send the index

   xchg al,ah     ;Put the value in AL
   out dx,al      ;Send the value
   xchg al,ah     ;Put the index back in AL
   inc al         ;Increment the index
  loop .l1        ;Do this for all of the registers

popfwide
pop widecx
pop wideax
retwide




;EOF