;Inputs:
;        AL: Index; AH: Value for that register
;;
VGA_write_single_Sequencer_Register:
 push widedx
 pushfwide

     mov dx,0x3C4;  ;Index port
     out dx,ax      ;AL == Index
                    ;AH == Value to write

 popfwide
 pop widedx
retwide





;Inputs:
;        AL: Index
;
;Outputs:
;       EAX: Value of that register (only lowest 8 bits)
;;
VGA_read_single_Sequencer_Register:
 push widedx
 pushfwide

     mov dx,0x3C4;   ;Index port
     out dx,al       ;Send index value

     inc dx          ;Point to data port
     in al,dx        ;Read it

 and wideax,0xFF

 popfwide
 pop widedx
retwide





;EOF