;This trick selects between blinking and more background colors
;at least in text mode 03h.
;
;
;Attribute mode control register
;
;;Attribute Controller, Index 16, Attribute Mode Control (RW; 0x3C0=0x10; write 0x3C0; read 0x3C1):
;
;- Dummy read byte at port 0x3DA to reset the port 0x3C0
;  flip/flop (maybe when finishing a program or
;  running external VGA code). (Me hace pensar por qu no
;  usaron este puerto para decir el estado del flip/flop,
;  tal vez porque no tiene sentido si se sabe que siempre
;  lo va a resetear, aunque pudo habernos dicho el estado
;  del flip/flop y otras cosas antes de resetearlo).
;
;- Write port 0x3C0 with byte value 0x10 (16 decimal)
;  It will set the index and put the register's flip/flop
;  to data write mode (1).
;
;- Read the byte value at that position at port 0x3C1.
;  It will not affect the port 0x3C0 flip/flop that selects
;  index write (0) or data write (1) mode. It will contain
;  the value of that indexed register
;  (attribute mode control register).
;
;  Set bit 3 to enable blinking or clear it
;  to enable selecting more background colors instead
;  in text mode with the attribute byte.
;
;- Write port 0x3C0 again with the byte value from which
;  we modified bit 3. It will put the register's
;  flip flop again in index write mode (0).
;


;This bit could be used to select 18-bit or 24-bit
;colors for the 256-color VGA palette when in
;graphics mode, or bit 4, that is supposed to be
;reserved.
;




OPCODE__VGA_enable_text_mode_blinking:

 ;Set parameter to enable here:
 ;;



jmp .OPCODE__VGA_text_mode_blinking_configured
OPCODE__VGA_disable_text_mode_blinking:

 ;Set parameter to disable here:
 ;;




.OPCODE__VGA_text_mode_blinking_configured:





retwide







