;Inputs:
;---------------
;BX: Value bits to select mono or color port:
;                   --
;          0000000001000000b -- color (produce 0x3DA)
;          0000000000100000b -- mono  (produce 0x3BA)
;                   --
;
;;
VGA_Attribute_Controller__EnablePalette:
push wideax
push widedx
pushfwide

;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;Apply the selection value for the color/mono register.
;This will complete the value for 0x3DA or 0x3BA,
;respectively:
;;
mov dx,0x39A ;Point to the register
or dx,bx
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA

  ;Reset flip/flop (0x3DA or 0x3BA):
  ;;
   in al,dx


  ;Set bit 5 to enable palette
  ;(this bit is contained in the
  ;index register):
  ;;
   mov dx,0x03C0
   mov al,00100000b
   out dx,al




;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;Apply the selection value for the color/mono register.
;This will complete the value for 0x3DA or 0x3BA,
;respectively:
;;
mov dx,0x39A ;Point to the register
or dx,bx
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA

  ;Reset flip/flop again to realign
  ;access to the Attribute Controller port (0x3DA or 0x3BA):
  ;;
   in al,dx


popfwide
pop widedx
pop wideax
retwide





































;Inputs:
;---------------
;BX: Value bits to select mono or color port:
;                   --
;          0000000001000000b -- color (produce 0x3DA)
;          0000000000100000b -- mono  (produce 0x3BA)
;                   --
;
;;
VGA_Attribute_Controller__DisablePalette:
push wideax
push widedx
pushfwide

;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;Apply the selection value for the color/mono register.
;This will complete the value for 0x3DA or 0x3BA,
;respectively:
;;
mov dx,0x39A ;Point to the register
or dx,bx
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA

  ;Reset flip/flop (0x3DA or 0x3BA):
  ;;
   in al,dx


  ;Clear bit 5 to disable palette
  ;(this bit is contained in the
  ;index register):
  ;;
   mov dx,0x03C0
   mov al,00000000b
   out dx,al




;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;INIT: 0x3DA or 0x3BA
;Apply the selection value for the color/mono register.
;This will complete the value for 0x3DA or 0x3BA,
;respectively:
;;
mov dx,0x39A ;Point to the register
or dx,bx
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA
;END:  0x3DA or 0x3BA

  ;Reset flip/flop again to realign
  ;access to the Attribute Controller port (0x3DA or 0x3BA):
  ;;
   in al,dx


popfwide
pop widedx
pop wideax
retwide





;EOF